# yp_next

(PHP 4, PHP 5 < 5.1.0)

yp_next — Returns the next key-value pair in the named map

### Description

yp_next ( string `$domain` , string `$map` , string `$key` ) : array

Returns the next key-value pair in the named `map` after the specified `key`.

### Parameters

`domain`

`map`

`key`

### Return Values

Returns the next key-value pair as an array, or `FALSE` on errors.

### Examples

Example #1 Example for NIS next

`<?php
$entry = yp_next($domain, "passwd.byname", "joe");
if (!$entry) {
echo "No more entries found\n";
echo "<!--" . yp_errno() . ": " . yp_err_string() . "-->";
}
$key = key($entry);
echo "The next entry after joe has key " . $key
. " and value " . $entry[$key];
?>`

### See Also

- yp_first() - Returns the first key-value pair from the named map
- yp_get_default_domain() - Fetches the machine's default NIS domain